package com.ruoyi.app.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

public class EntranceReportDTO {
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String entranceTime;
    private String animalCertNo;
    private String animalEartags;
    private Long amount;
    private BigDecimal weight;
    private String pigpens;
    private String supplierName;
    private String originPlace;
    private Long illnessDeadAmount;
    private Long illnessDiseaseAmount;
    private Long snapKillAmount;
    private BigDecimal unqualifiedWeight;
    private String dealWay;
    private String inspectionDetail;
    private String illnessPigsDetail;
    // Getter and Setter 方法
    public String getEntranceTime() {
        return entranceTime;
    }

    public void setEntranceTime(String entranceTime) {
        this.entranceTime = entranceTime;
    }

    public String getAnimalCertNo() {
        return animalCertNo;
    }

    public void setAnimalCertNo(String animalCertNo) {
        this.animalCertNo = animalCertNo;
    }

    public String getAnimalEartags() {
        return animalEartags;
    }

    public void setAnimalEartags(String animalEartags) {
        this.animalEartags = animalEartags;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getPigpens() {
        return pigpens;
    }

    public void setPigpens(String pigpens) {
        this.pigpens = pigpens;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getOriginPlace() {
        return originPlace;
    }

    public void setOriginPlace(String originPlace) {
        this.originPlace = originPlace;
    }

    public Long getIllnessDeadAmount() {
        return illnessDeadAmount;
    }

    public void setIllnessDeadAmount(Long illnessDeadAmount) {
        this.illnessDeadAmount = illnessDeadAmount;
    }

    public Long getIllnessDiseaseAmount() {
        return illnessDiseaseAmount;
    }

    public void setIllnessDiseaseAmount(Long illnessDiseaseAmount) {
        this.illnessDiseaseAmount = illnessDiseaseAmount;
    }

    public Long getSnapKillAmount() {
        return snapKillAmount;
    }

    public void setSnapKillAmount(Long snapKillAmount) {
        this.snapKillAmount = snapKillAmount;
    }

    public BigDecimal getUnqualifiedWeight() {
        return unqualifiedWeight;
    }

    public void setUnqualifiedWeight(BigDecimal unqualifiedWeight) {
        this.unqualifiedWeight = unqualifiedWeight;
    }

    public String getDealWay() {
        return dealWay;
    }

    public void setDealWay(String dealWay) {
        this.dealWay = dealWay;
    }

    public String getInspectionDetail() {
        return inspectionDetail;
    }

    public void setInspectionDetail(String inspectionDetail) {
        this.inspectionDetail = inspectionDetail;
    }

    public String getIllnessPigsDetail() {
        return illnessPigsDetail;
    }

    public void setIllnessPigsDetail(String illnessPigsDetail) {
        this.illnessPigsDetail = illnessPigsDetail;
    }
}
